package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;

public class SysAccount {
    private Integer id;

    /**
    * 收款商户号
    */
    private String merNo;

    /**
    * 最大收款金额
    */
    private BigDecimal maxReceipt;

    /**
    * 已收金额
    */
    private BigDecimal hasReceipt;

    /**
    * 支付渠道
    */
    private String channel;

    /**
    * 支付渠道类型(PER-个人 COM-公户)
    */
    private String channelType;

    /**
    * 版本号
    */
    private Integer version;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public BigDecimal getMaxReceipt() {
        return maxReceipt;
    }

    public void setMaxReceipt(BigDecimal maxReceipt) {
        this.maxReceipt = maxReceipt;
    }

    public BigDecimal getHasReceipt() {
        return hasReceipt;
    }

    public void setHasReceipt(BigDecimal hasReceipt) {
        this.hasReceipt = hasReceipt;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getChannelType() {
        return channelType;
    }

    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }
}